%define tarname	Traits
%define name	python-enthought-traits
%define version	3.0.3
%define release %mkrel 2

Summary:	Enthought Tool Suite - Traits project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.lzma
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/traits/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	python-enthought-traits-ui
Requires:	python-enthought-enthoughtbase >= 3.0.1
Requires:	python-numpy >= 1.1.0
BuildRequires:	python-setuptools >= 0.6c8
%py_requires -d

%description
The traits package developed by Enthought provides a special type
definition called a trait. Although they can be used as normal Python object 
attributes, traits also have several additional characteristics: 

* Initialization: A trait can be assigned a default value.
* Validation: A trait attribute's type can be explicitly declared.
* Delegation: The value of a trait attribute can be contained either
  in another object.
* Notification: Setting the value of a trait attribute can trigger
  notification of other parts of the program.
* Visualization: User interfaces that permit the interactive
  modification of a trait's value can be automatically constructed
  using the trait's definition.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt examples/ docs/*.pdf



%changelog
* Sat Jan 03 2009 Funda Wang <fundawang@mandriva.org> 3.0.3-2mdv2009.1
+ Revision: 323683
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.3-1mdv2009.1
+ Revision: 313642
- Update to 3.0.3.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.2-1mdv2009.1
+ Revision: 298925
- Update to 3.0.2.
  Obsolete old python-enthought-traits-ui package.

* Wed Jul 16 2008 Lev Givon <lev@mandriva.org> 2.0.5-2mdv2009.0
+ Revision: 236644
- Bump release to placate build system.
- import python-enthought-traits


* Tue Jul 15 2008 Lev Givon <lev@mandriva.org> 2.0.5-1mdv2008.1
- Package for Mandriva.
